;	 file_demo.pb
;	 Version 0.1 [2010/08/23]
;    Copyright (C) 2011 Ronny Krueger
;
;    This file is part of AWPB-Tools.
;
;    AWPB-Tools is free software: you can redistribute it and/or modify
;    it under the terms of the GNU Lesser General Public License as published by
;    the Free Software Foundation, either version 3 of the License, or
;    (at your option) any later version.
;
;    AWPB-Tools is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU Lesser General Public License for more details.
;
;    You should have received a copy of the GNU Lesser General Public License
;    along with AWPB-Tools.  If not, see <http://www.gnu.org/licenses/>.

EnableExplicit

CompilerSelect #PB_Compiler_OS 
  CompilerCase #PB_OS_Windows
    IncludePath "..\include\awpbtools"
  CompilerCase #PB_OS_Linux
    IncludePath "../include/awpbtools"
CompilerEndSelect

XIncludeFile "awdate.pbi"

OpenConsole()

PrintN("AWPB-Tools Date-Demo")
PrintN("")

Global datum.i, datumrfc.s, jetzt.i

jetzt    = Date()
datumrfc = AWPB_DATE_DateToRFC2822(jetzt)
datum    = AWPB_DATE_RFC2822ToDate(datumrfc)

PrintN("aktuelle Zeit:     " + FormatDate("%dd.%mm.%yyyy - %hh:%ii:%ss", jetzt))
PrintN("als RFC2822:       " + datumrfc)
PrintN("RFC2822 dekodiert: " + FormatDate("%dd.%mm.%yyyy - %hh:%ii:%ss", datum))

PrintN("Press return to exit")
Input()

