;	 gdgres_demo.pb
;	 Version 0.1 [2011/07/26]
;    Copyright (C) 2011 Ronny Krueger
;
;    This file is part of AWPB-Tools.
;
;    AWPB-Tools is free software: you can redistribute it and/or modify
;    it under the terms of the GNU Lesser General Public License as published by
;    the Free Software Foundation, either version 3 of the License, or
;    (at your option) any later version.
;
;    AWPB-Tools is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU Lesser General Public License for more details.
;
;    You should have received a copy of the GNU Lesser General Public License
;    along with AWPB-Tools.  If not, see <http://www.gnu.org/licenses/>.

EnableExplicit

Define Window_0, Button_0, Button_1, Button_2, Container_3, Button_4, Button_5, Button_6, Button_7, Container_9, Button_10, Button_11, Button_12, Button_13

CompilerSelect #PB_Compiler_OS 
  CompilerCase #PB_OS_Windows
    IncludePath "..\include\awpbtools"
  CompilerCase #PB_OS_Linux
    IncludePath "../include/awpbtools"
CompilerEndSelect

XIncludeFile "awgdgres.pbi"

Window_0 = OpenWindow(#PB_Any, 542, 122, 410, 410, "Gadget-Resize-Demo", #PB_Window_SystemMenu|#PB_Window_SizeGadget|#PB_Window_MinimizeGadget|#PB_Window_TitleBar)
If Window_0
  Button_0 = ButtonGadget(#PB_Any, 10, 20, 145, 25, "absolute <->")
  AWPB_GUI_Res_RegGadget(Button_0, #AWPB_GUI_RES_ABS, #AWPB_GUI_RES_ABS, #AWPB_GUI_RES_ABS, #AWPB_GUI_RES_ABS, Window_0)
  
  Button_1 = ButtonGadget(#PB_Any, 10, 50, 145, 25, "relative <->")
  AWPB_GUI_Res_RegGadget(Button_1, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_ABS, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_ABS, Window_0)
  
  Button_2 = ButtonGadget(#PB_Any, 10, 80, 145, 25, "proportional <->")
  AWPB_GUI_Res_RegGadget(Button_2, #AWPB_GUI_RES_PROP, #AWPB_GUI_RES_ABS, #AWPB_GUI_RES_PROP, #AWPB_GUI_RES_ABS, Window_0)
  
  Container_3 = ContainerGadget(#PB_Any, 10, 110, 380, 280, #PB_Container_Raised)
  AWPB_GUI_Res_RegGadget(Container_3, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_REL, Window_0, #AWPB_GUI_PARENT_WINDOW, #True)
    Button_4 = ButtonGadget(#PB_Any, 0, 0, 70, 270, "left proportional")
    AWPB_GUI_Res_RegGadget(Button_4, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_PROP, #AWPB_GUI_RES_REL, Container_3, #AWPB_GUI_PARENT_GADGET)  
    
    Button_5 = ButtonGadget(#PB_Any, 70, 0, 210, 35, "top proportional")
    AWPB_GUI_Res_RegGadget(Button_5, #AWPB_GUI_RES_PROP, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_PROP, #AWPB_GUI_RES_PROP, Container_3, #AWPB_GUI_PARENT_GADGET)
    
    Button_6 = ButtonGadget(#PB_Any, 280, 0, 95, 270, "right proportional")
    AWPB_GUI_Res_RegGadget(Button_6, #AWPB_GUI_RES_PROP, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_REL, Container_3, #AWPB_GUI_PARENT_GADGET)  
    
    Button_7 = ButtonGadget(#PB_Any, 70, 235, 210, 35, "bottom proportional")
    AWPB_GUI_Res_RegGadget(Button_7, #AWPB_GUI_RES_PROP, #AWPB_GUI_RES_PROP, #AWPB_GUI_RES_PROP, #AWPB_GUI_RES_REL, Container_3, #AWPB_GUI_PARENT_GADGET)
    
    Container_9 = ContainerGadget(#PB_Any, 70, 35, 210, 200, #PB_Container_Double)
    AWPB_GUI_Res_RegGadget(Container_9, #AWPB_GUI_RES_PROP, #AWPB_GUI_RES_PROP, #AWPB_GUI_RES_PROP, #AWPB_GUI_RES_PROP, Container_3, #AWPB_GUI_PARENT_GADGET, #True)
      Button_10 = ButtonGadget(#PB_Any, 0, 0, 205, 25, "Fixed 1")
      AWPB_GUI_Res_RegGadget(Button_10, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_LOCKHEIGHT, Container_9, #AWPB_GUI_PARENT_GADGET)
      
      Button_11 = ButtonGadget(#PB_Any, 0, 25, 205, 25, "Fixed 2")
      AWPB_GUI_Res_RegGadget(Button_11, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_LOCKHEIGHT, Container_9, #AWPB_GUI_PARENT_GADGET)
      
      Button_12 = ButtonGadget(#PB_Any, 0, 50, 205, 120, "Fixed 3")
      AWPB_GUI_Res_RegGadget(Button_12, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_LOCKHEIGHT, Container_9, #AWPB_GUI_PARENT_GADGET)
      
      Button_13 = ButtonGadget(#PB_Any, 0, 170, 205, 25, "Filling")
      AWPB_GUI_Res_RegGadget(Button_13, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_REL, #AWPB_GUI_RES_REL, Container_9, #AWPB_GUI_PARENT_GADGET)
    CloseGadgetList()
  CloseGadgetList()
  
  Repeat
    Select WaitWindowEvent()
      Case #PB_Event_SizeWindow
        AWPB_GUI_Res_DoResize(EventWindow())
        
      Case #PB_Event_CloseWindow
        Select EventWindow()
          Case Window_0
            CloseWindow(Window_0)
            Window_0 = 0
            Break
        EndSelect
    EndSelect
  ForEver
  
Else
  MessageRequester("Fehler", "Konnte Fenster nicht erstellen")  
EndIf
